Bug 80142

Summary: [EFL] Implement LayoutTestController::clearBackForwardList
Product: WebKit Reporter: Sudarsana Nagineni (babu) <naginenis>
Component: WebKit EFLAssignee: Sudarsana Nagineni (babu) <naginenis>
Status: RESOLVED FIXED    
Severity: Normal CC: d-r, gyuyoung.kim, lucas.de.marchi, rakuco, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
V1:Patch
none
Implement clearBackForwardList
none
New patch fixing comment #4 none

Description Sudarsana Nagineni (babu) 2012-03-02 03:59:51 PST
We should implement LayoutTestController::clearBackForwardList for the EFL port so that we can unskip some history feature tests.
Comment 1 Sudarsana Nagineni (babu) 2012-03-02 04:22:14 PST
Created attachment 129876 [details]
V1:Patch

Implemented LayoutTestController::clearBackForwardList and unskipped some of the history feature tests which are passing now.
Comment 2 Gyuyoung Kim 2012-03-06 23:41:14 PST
Comment on attachment 129876 [details]
V1:Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=129876&action=review

Add description to ChangeLog, then request review and commit queue.

> Tools/ChangeLog:7
> +

You should add description for this patch.

> LayoutTests/ChangeLog:7
> +

ditto.
Comment 3 Sudarsana Nagineni (babu) 2012-03-13 08:20:11 PDT
Created attachment 131618 [details]
Implement clearBackForwardList
Comment 4 Raphael Kubo da Costa (:rakuco) 2012-03-13 09:11:10 PDT
Comment on attachment 131618 [details]
Implement clearBackForwardList

View in context: https://bugs.webkit.org/attachment.cgi?id=131618&action=review

> Tools/DumpRenderTree/efl/LayoutTestControllerEfl.cpp:75
> +    const int limit = ewk_history_limit_get(history);
> +    ewk_history_limit_set(history, 0);
> +    ewk_history_limit_set(history, limit);

You can use ewk_history_clear() instead.
Comment 5 Sudarsana Nagineni (babu) 2012-03-13 09:39:32 PDT
Created attachment 131636 [details]
New patch fixing comment #4
Comment 6 Raphael Kubo da Costa (:rakuco) 2012-03-13 09:41:32 PDT
Comment on attachment 131636 [details]
New patch fixing comment #4 

Thanks, looks fine to me.
Comment 7 WebKit Review Bot 2012-03-14 08:15:49 PDT
Comment on attachment 131636 [details]
New patch fixing comment #4 

Clearing flags on attachment: 131636

Committed r110700: <http://trac.webkit.org/changeset/110700>
Comment 8 WebKit Review Bot 2012-03-14 08:15:54 PDT
All reviewed patches have been landed.  Closing bug.